<?php
/**
 * VW Modern Kitchen  functions and definitions
 *
 * @package VW Modern Kitchen 
 */
/* Breadcrumb Begin */
function vw_modern_kitchen_the_breadcrumb() {
	if (!is_home()) {
		echo '<a href="';
			echo esc_url( home_url() );
		echo '">';
			bloginfo('name');
		echo "</a> >> ";
		if (is_category() || is_single()) {
			the_category('>>');
			if (is_single()) {
				echo ">> <span> ";
					the_title();
				echo "</span> ";
			}
		} elseif (is_page()) {
			echo "<span> ";
				the_title();
		}
	}
}
/* Theme Setup */
if ( ! function_exists( 'vw_modern_kitchen_setup' ) ) :
 
function vw_modern_kitchen_setup() {

	$GLOBALS['content_width'] = apply_filters( 'vw_modern_kitchen_content_width', 640 );

	load_theme_textdomain( 'vw-modern-kitchen', get_template_directory() . '/languages' );
	
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'wc-product-gallery-zoom' );
	add_theme_support( 'wc-product-gallery-slider' );
	add_theme_support( 'wc-product-gallery-lightbox' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'responsive-embeds' );
	add_theme_support( 'html5', array( 'comment-list', 'search-form', 'comment-form', ) );
	add_theme_support( 'custom-logo', array(
		'height'      => 90,
		'width'       => 90,
		'flex-height' => true,
	) );
	add_image_size('vw-modern-kitchen-homepage-thumb',240,145,true);
	
    register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'vw-modern-kitchen' ),
	) );

	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );

	//selective refresh for sidebar and widgets
	add_theme_support( 'customize-selective-refresh-widgets' );

	/*
	 * Enable support for Post Formats.
	 *
	 * See: https://codex.wordpress.org/Post_Formats
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	/*
	 * This theme styles the visual editor to resemble the theme style,
	 * specifically font, colors, icons, and column width.
	 */
	add_editor_style( array( 'css/editor-style.css', vw_modern_kitchen_font_url() ) );

// Theme Activation Notice
	global $pagenow;

	if ( is_admin() && $pagenow === 'themes.php' && (!isset($_GET['page']) || $_GET['page'] !== 'vw_modern_kitchen_guide')
) {
		add_action('admin_notices', 'vw_modern_kitchen_activation_notice');
	}

}
endif;

add_action( 'after_setup_theme', 'vw_modern_kitchen_setup' );

// Notice after Theme Activation
add_action('admin_notices', 'vw_modern_kitchen_activation_notice');

function vw_modern_kitchen_activation_notice() {
	 // Hide permanently if dismissed
    if ( get_option('vw_modern_kitchen_admin_notice') == 1 ) {
        return;
    }
    // Hide ONLY on Get Started page
    if ( isset($_GET['page']) && $_GET['page'] === 'vw_modern_kitchen_guide' ) {
        return;
    }
		echo '<div id="vw-modern-kitchen-welcome-notice" class="notice notice-success is-dismissible welcome-notice">';
			echo '<div class="notice-row">';
				echo '<div class="notice-text">';
					echo '<p class="welcome-text1">'. esc_html__( '🎉 Welcome to VW Themes,', 'vw-modern-kitchen' ) .'</p>';
					echo '<p class="welcome-text2">'. esc_html__( 'You are now using the VW Modern Kitchen, a beautifully designed theme to kickstart your website.', 'vw-modern-kitchen' ) .'</p>';
					echo '<p class="welcome-text3">'. esc_html__( 'To help you get started quickly, use the options below:', 'vw-modern-kitchen' ) .'</p>';
					echo '<span class="import-btn"><a href="'. esc_url( admin_url( 'themes.php?page=vw_modern_kitchen_guide' ) ) .'" class="button button-primary">'. esc_html__( 'IMPORT DEMO', 'vw-modern-kitchen' ) .'</a></span>';
					echo '<span class="demo-btn"><a href="'. esc_url( 'https://www.vwthemes.net/vw-modern-kitchen/' ) .'" class="button button-primary" target=_blank>'. esc_html__( 'VIEW DEMO', 'vw-modern-kitchen' ) .'</a></span>';
					echo '<span class="upgrade-btn"><a href="'. esc_url( 'https://www.vwthemes.com/products/modular-kitchen-wordpress-theme' ) .'" class="button button-primary" target=_blank>'. esc_html__( 'UPGRADE TO PRO', 'vw-modern-kitchen' ) .'</a></span>';
					echo '<span class="bundle-btn"><a href="'. esc_url( 'https://www.vwthemes.com/products/wp-theme-bundle' ) .'" class="button button-primary" target=_blank>'. esc_html__( 'BUNDLE OF 500+ THEMES', 'vw-modern-kitchen' ) .'</a></span>';
				echo '</div>';
				echo '<div class="notice-img1">';
					echo '<img src="' . esc_url( get_template_directory_uri() . '/inc/getstart/images/arrow-notice.png' ) . '" width="180" alt="' . esc_attr__( 'VW Modern Kitchen', 'vw-modern-kitchen' ) . '" />';
				echo '</div>';
				echo '<div class="notice-img2">';
					echo '<img src="' . esc_url( get_template_directory_uri() . '/inc/getstart/images/bundle-notice.png' ) . '" width="180" alt="' . esc_attr__( 'VW Modern Kitchen', 'vw-modern-kitchen' ) . '" />';
				echo '</div>';	
			echo '</div>';	
		echo '</div>';
	}

    //Hook (VERY IMPORTANT)
	add_action('admin_notices', 'vw_modern_kitchen_activation_notice');

/* Theme Widgets Setup */
function vw_modern_kitchen_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'vw-modern-kitchen' ),
		'description'   => __( 'Appears on blog page sidebar', 'vw-modern-kitchen' ),
		'id'            => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget p-3 %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title py-2 px-3">',
		'after_title'   => '</h3>',
	) );
	
	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'vw-modern-kitchen' ),
		'description'   => __( 'Appears on page sidebar', 'vw-modern-kitchen' ),
		'id'            => 'sidebar-2',
		'before_widget' => '<aside id="%1$s" class="widget p-3 %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title py-2 px-3">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'vw-modern-kitchen' ),
		'description'   => __( 'Appears on page sidebar', 'vw-modern-kitchen' ),
		'id'            => 'sidebar-3',
		'before_widget' => '<aside id="%1$s" class="widget mb-5 p-3 %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title py-3 px-4">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Navigation 1', 'vw-modern-kitchen' ),
		'description'   => __( 'Appears on footer 1', 'vw-modern-kitchen' ),
		'id'            => 'footer-1',
		'before_widget' => '<aside id="%1$s" class="widget py-3 %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title px-0 py-2">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Navigation 2', 'vw-modern-kitchen' ),
		'description'   => __( 'Appears on footer 2', 'vw-modern-kitchen' ),
		'id'            => 'footer-2',
		'before_widget' => '<aside id="%1$s" class="widget py-3 %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title px-0 py-2">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Navigation 3', 'vw-modern-kitchen' ),
		'description'   => __( 'Appears on footer 3', 'vw-modern-kitchen' ),
		'id'            => 'footer-3',
		'before_widget' => '<aside id="%1$s" class="widget py-3 %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title px-0 py-2">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Navigation 4', 'vw-modern-kitchen' ),
		'description'   => __( 'Appears on footer 4', 'vw-modern-kitchen' ),
		'id'            => 'footer-4',
		'before_widget' => '<aside id="%1$s" class="widget py-3 %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title px-0 py-2">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Shop Page Sidebar', 'vw-modern-kitchen' ),
		'description'   => __( 'Appears on shop page', 'vw-modern-kitchen' ),
		'id'            => 'woocommerce-shop-sidebar',
		'before_widget' => '<aside id="%1$s" class="widget p-3 %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title px-3 py-2">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Single Product Sidebar', 'vw-modern-kitchen' ),
		'description'   => __( 'Appears on single product page', 'vw-modern-kitchen' ),
		'id'            => 'woocommerce-single-sidebar',
		'before_widget' => '<aside id="%1$s" class="widget p-3 %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title px-3 py-2">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Social Icon', 'vw-modern-kitchen' ),
		'description'   => __( 'Appears on footer', 'vw-modern-kitchen' ),
		'id'            => 'footer-icon',
		'before_widget' => '<aside id="%1$s" class="widget mb-5 p-3 %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title px-3 py-2">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Header Social Icon', 'vw-modern-kitchen' ),
		'description'   => __( 'Appears on Header', 'vw-modern-kitchen' ),
		'id'            => 'social-widget-sidemenu',
		'before_widget' => '<aside id="%1$s" class="widget mb-5 p-3 %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title px-3 py-2">',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'vw_modern_kitchen_widgets_init' );

/* Theme Font URL */
function vw_modern_kitchen_font_url() {
	$font_family   = array(
		'Basic',
		'ABeeZee',
		'ABeeZee:ital@0;1',
		'Abril Fatfac',
		'Acme',
		'Allura',
		'Amatic SC:wght@400;700',
		'Anton',
		'Architects Daughter',
		'Archivo:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Arimo:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Arsenal:ital,wght@0,400;0,700;1,400;1,700',
		'Arvo:ital,wght@0,400;0,700;1,400;1,700',
		'Alegreya:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900',
		'Asap:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Assistant:wght@200;300;400;500;600;700;800',
		'Alfa Slab One',
		'Averia Serif Libre:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700',
		'Bebas Neue',
		'Bangers',
		'Boogaloo',
		'Bad Script',
		'Barlow:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Barlow Condensed:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Berkshire Swash',
		'Bitter:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Bree Serif',
		'BenchNine:wght@300;400;700',
		'Cabin:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Cardo:ital,wght@0,400;0,700;1,400',
		'Courgette',
		'Caveat:wght@400;500;600;700',
		'Caveat Brush',
		'Cherry Swash:wght@400;700',
		'Cormorant Garamond:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700',
		'Crimson Text:ital,wght@0,400;0,600;0,700;1,400;1,600;1,700',
		'Cuprum:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Cookie',
		'Coming Soon',
		'Charm:wght@400;700',
		'Chewy',
		'Days One',
		'DM Serif Display:ital@0;1',
		'Dosis:wght@200;300;400;500;600;700;800',
		'EB Garamond:ital,wght@0,400;0,500;0,600;0,700;0,800;1,400;1,500;1,600;1,700;1,800',
		'Economica:ital,wght@0,400;0,700;1,400;1,700',
		'Epilogue:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Exo 2:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Familjen Grotesk:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Fira Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Fredoka One',
		'Fjalla One',
		'Francois One',
		'Frank Ruhl Libre:wght@300;400;500;700;900',
		'Gabriela',
		'Gloria Hallelujah',
		'Great Vibes',
		'Handlee',
		'Hammersmith One',
		'Heebo:wght@100;200;300;400;500;600;700;800;900',
		'Hind:wght@300;400;500;600;700',
		'Inconsolata:wght@200;300;400;500;600;700;800;900',
		'Indie Flower',
		'IM Fell English SC',
		'Julius Sans One',
		'Jomhuria',
		'Josefin Slab:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700',
		'Josefin Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700',
		'Jost:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Kaisei HarunoUmi:wght@400;500;700',
		'Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Kaushan Script',
		'Krub:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;1,200;1,300;1,400;1,500;1,600;1,700',
		'Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900',
		'Lora:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Libre Baskerville:ital,wght@0,400;0,700;1,400',
		'Lobster',
		'Lobster Two:ital,wght@0,400;0,700;1,400;1,700',
		'Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900',
		'Monda:wght@400;700',
		'Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Mulish:ital,wght@0,200..1000;1,200..1000',
		'Marck Script',
		'Marcellus',
		'Merienda One',
		'Monda:wght@400;700',
		'Noto Serif:ital,wght@0,400;0,700;1,400;1,700',
		'Nunito Sans:ital,wght@0,200;0,300;0,400;0,600;0,700;0,800;0,900;1,200;1,300;1,400;1,600;1,700;1,800;1,900',
		'Open Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800',
		'Overpass:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Overpass Mono:wght@300;400;500;600;700',
		'Oxygen:wght@300;400;700',
		'Oswald:wght@200;300;400;500;600;700',
		'Orbitron:wght@400;500;600;700;800;900',
		'Patua One',
		'Pacifico',
		'Padauk:wght@400;700',
		'Playball',
		'Playfair Display:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900',
		'Prompt:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'PT Sans:ital,wght@0,400;0,700;1,400;1,700',
		'PT Serif:ital,wght@0,400;0,700;1,400;1,700',
		'Philosopher:ital,wght@0,400;0,700;1,400;1,700',
		'Permanent Marker',
		'Poiret One',
		'Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Prata',
		'Quicksand:wght@300;400;500;600;700',
		'Quattrocento Sans:ital,wght@0,400;0,700;1,400;1,700',
		'Raleway:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Roboto Condensed:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700',
		'Rokkitt:wght@100;200;300;400;500;600;700;800;900',
		'Ropa Sans:ital@0;1',
		'Russo One',
		'Righteous',
		'Saira:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Satisfy',
		'Sen:wght@400;700;800',
		'Slabo 13px',
		'Slabo 27px',
		'Source Sans Pro:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700;1,900',
		'Shadows Into Light Two',
		'Shadows Into Light',
		'Sacramento',
		'Sail',
		'Shrikhand',
		'League Spartan:wght@100;200;300;400;500;600;700;800;900',
		'Staatliches',
		'Stylish',
		'Tangerine:wght@400;700',
		'Titillium Web:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700',
		'Trirong:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700',
		'Unica One',
		'VT323',
		'Varela Round',
		'Vampiro One',
		'Vollkorn:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900',
		'Volkhov:ital,wght@0,400;0,700;1,400;1,700',
		'Work Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Yanone Kaffeesatz:wght@200;300;400;500;600;700',
		'Yeseva One',
		'ZCOOL XiaoWei',
		'League Spartan:wght@100;200;300;400;500;600;700;800;900',
		'Outfit:wght@100;200;300;400;500;600;700;800;900',
		'Urbanist:ital,wght@0,100..900;1,100..900',
		'Manrope:wght@200..800',
		'Fredoka:wght@300;400;500;600;700',
		'Sen:wght@400..800',
		'Inter Tight:ital,wght@0,100..900;1,100..900',
		'Kaushan Script',
		'Figtree:ital,wght@0,300..900;1,300..900',
		'Kalam:wght@300;400;700',
		'Space Grotesk:wght@300..700',
		'Rum Raisin',
		'Nunito:ital,wght@0,200..1000;1,200..1000',
		'Radio Canada:ital,wght@0,300..700;1,300..700'
	 );
	
	$query_args = array(
		'family' => implode( '|', $font_family ),
		'display' => 'swap',
	);

	$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
	if ( function_exists( 'vw_modern_kitchen_wptt_get_webfont_url' ) ) {
		return vw_modern_kitchen_wptt_get_webfont_url( esc_url_raw( $fonts_url ) );
	}
	return esc_url_raw( $fonts_url );
}

/* Theme enqueue scripts */
function vw_modern_kitchen_scripts() {
	wp_enqueue_style( 'vw-modern-kitchen-font', vw_modern_kitchen_font_url(), array() );
	wp_enqueue_style( 'bootstrap-style', get_template_directory_uri().'/assets/css/bootstrap.css', array(), wp_get_theme()->get('Version') );
	wp_enqueue_style( 'vw-modern-kitchen-block-style', get_theme_file_uri('/assets/css/blocks.css'), array(), wp_get_theme()->get('Version') );
	wp_enqueue_style( 'owl.carousel-style', get_template_directory_uri().'/assets/css/owl.carousel.css', array(), wp_get_theme()->get('Version') );
	wp_enqueue_style( 'vw-modern-kitchen-basic-style', get_stylesheet_uri(), array(), wp_get_theme()->get('Version') );
	wp_style_add_data('vw-modern-kitchen-basic-style', 'rtl', 'replace');
	/* Inline style sheet */
	$vw_modern_kitchen_custom_css = '';
	require get_parent_theme_file_path( '/custom-style.php' );
	if ( ! empty( $vw_modern_kitchen_custom_css ) ) {
		wp_add_inline_style( 'vw-modern-kitchen-basic-style', $vw_modern_kitchen_custom_css );
	}
	wp_enqueue_style( 'font-awesome-css', get_template_directory_uri().'/assets/css/fontawesome-all.css', array(), wp_get_theme()->get('Version') );
	wp_enqueue_script( 'bootstrap-js', get_template_directory_uri() . '/assets/js/bootstrap.js', array('jquery'), '5.0.1', true );
	wp_enqueue_script( 'popper-js', get_template_directory_uri() . '/assets/js/popper.js', array('jquery'), '2.9.2', true );
	wp_enqueue_script( 'vw-modern-kitchen-custom-scripts', get_template_directory_uri() . '/assets/js/custom.js', array('jquery'), wp_get_theme()->get('Version'), true );
	if ( get_theme_mod('vw_modern_kitchen_animation', true) ) {
		wp_enqueue_style( 'animate-style', get_template_directory_uri().'/assets/css/animate.css', array(), wp_get_theme()->get('Version') );
		wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/assets/js/wow.js', array('jquery'), wp_get_theme()->get('Version'), true );
	}
	wp_enqueue_script( 'owl.carousel-js', get_template_directory_uri() . '/assets/js/owl.carousel.js', array('jquery'), wp_get_theme()->get('Version'), true );
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
	wp_enqueue_style( 'dashicons' );
}
add_action( 'wp_enqueue_scripts', 'vw_modern_kitchen_scripts' );

function vw_modern_kitchen_sanitize_choices( $input, $setting ) {
    global $wp_customize; 
    $control = $wp_customize->get_control( $setting->id ); 
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}

function vw_modern_kitchen_sanitize_number_range( $number, $setting ) {
	
	// Ensure input is an absolute integer.
	$number = absint( $number );
	
	// Get the input attributes associated with the setting.
	$atts = $setting->manager->get_control( $setting->id )->input_attrs;
	
	// Get minimum number in the range.
	$min = ( isset( $atts['min'] ) ? $atts['min'] : $number );
	
	// Get maximum number in the range.
	$max = ( isset( $atts['max'] ) ? $atts['max'] : $number );
	
	// Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );
	
	// If the number is within the valid range, return it; otherwise, return the default
	return ( $min <= $number && $number <= $max && is_int( $number / $step ) ? $number : $setting->default );
}

function vw_modern_kitchen_sanitize_phone_number( $phone ) {
	return preg_replace( '/[^\d+]/', '', $phone );
}

function vw_modern_kitchen_sanitize_number_absint( $number, $setting ) {
	// Ensure $number is an absolute integer (whole number, zero or greater).
	$number = absint( $number );
	
	// If the input is an absolute integer, return it; otherwise, return the default
	return ( $number ? $number : $setting->default );
}

/* Excerpt Limit Begin */
function vw_modern_kitchen_string_limit_words($string, $word_limit) {
	$words = explode(' ', $string, ($word_limit + 1));
	if(count($words) > $word_limit)
	array_pop($words);
	return implode(' ', $words);
}

if ( ! function_exists( 'vw_modern_kitchen_switch_sanitization' ) ) {
	function vw_modern_kitchen_switch_sanitization( $input ) {
		if ( true === $input ) {
			return 1;
		} else {
			return 0;
		}
	}
}

function vw_modern_kitchen_sanitize_float( $input ) {
	return filter_var($input, FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION);
}

// Change number or products per row to 3
add_filter('loop_shop_columns', 'vw_modern_kitchen_loop_columns');
	if (!function_exists('vw_modern_kitchen_loop_columns')) {
	function vw_modern_kitchen_loop_columns() {
		return get_theme_mod( 'vw_modern_kitchen_products_per_row', 4 );
		// 3 products per row
	}
}

//Change number of products that are displayed per page (shop page)
add_filter( 'loop_shop_per_page', 'vw_modern_kitchen_products_per_page' );
function vw_modern_kitchen_products_per_page( $cols ) {
  	return  get_theme_mod( 'vw_modern_kitchen_products_per_page',9);
}

function vw_modern_kitchen_logo_title_hide_show(){
	if(get_theme_mod('vw_modern_kitchen_logo_title_hide_show') == '1' ) {
		return true;
	}
	return false;
}

function vw_modern_kitchen_tagline_hide_show(){
	if(get_theme_mod('vw_modern_kitchen_tagline_hide_show',0) == '1' ) {
		return true;
	}
	return false;
}

function vw_modern_kitchen_blog_post_featured_image_dimension(){
	if(get_theme_mod('vw_modern_kitchen_blog_post_featured_image_dimension') == 'custom' ) {
		return true;
	}
	return false;
}

if (!function_exists('vw_modern_kitchen_edit_link')) :

function vw_modern_kitchen_edit_link($view = 'default'){
    global $post;
    edit_post_link(
        sprintf(
            wp_kses(
            /* translators: %s: Name of current post. Only visible to screen readers */
                __('Edit <span class="screen-reader-text">%s</span>', 'vw-modern-kitchen'),
                array(
                    'span' => array(
                        'class' => array(),
                    ),
                )
            ),
            get_the_title()
        ),
        '<span class="edit-link"><i class="fas fa-edit"></i>',
        '</span>'
    );
}
endif;

/* Changeset */
add_action('admin_init', function() {
    if(isset($_GET['changeset_uuid']) && $_GET['changeset_uuid'] !== 'new' && $_GET['changeset_uuid'] !== 'auto') {
        global $wpdb;
        $vw_modern_kitchen_uuid = sanitize_text_field($_GET['changeset_uuid']);

        $vw_modern_kitchen_deleted = $wpdb->delete($wpdb->posts, [
            'post_type' => 'customize_changeset',
            'post_name' => $vw_modern_kitchen_uuid
        ]);
        
        if($vw_modern_kitchen_deleted) {
            wp_redirect(admin_url('customize.php?url=' . urlencode(home_url('/'))));
            exit;
        }
    }
});

function vw_modern_kitchen_theme_init() {

	define('VW_MODERN_KITCHEN_FREE_THEME_DOC',__('https://preview.vwthemesdemo.com/docs/vw-modern-kitchen-free-doc/','vw-modern-kitchen'));
	define('VW_MODERN_KITCHEN_SUPPORT',__('https://wordpress.org/support/theme/vw-modern-kitchen/','vw-modern-kitchen'));
	define('VW_MODERN_KITCHEN_REVIEW',__('https://wordpress.org/support/theme/vw-modern-kitchen/reviews/','vw-modern-kitchen'));
	define('VW_MODERN_KITCHEN_BUY_NOW',__('https://www.vwthemes.com/products/modular-kitchen-wordpress-theme','vw-modern-kitchen'));
	define('VW_MODERN_KITCHEN_LIVE_DEMO',__('https://www.vwthemes.net/vw-modern-kitchen/','vw-modern-kitchen'));
	define('VW_MODERN_KITCHEN_PRO_DOC',__('https://preview.vwthemesdemo.com/docs/vw-modern-kitchen-pro/','vw-modern-kitchen'));
	define('VW_MODERN_KITCHEN_FAQ',__('https://www.vwthemes.com/faqs/','vw-modern-kitchen'));
	define('VW_MODERN_KITCHEN_CHILD_THEME',__('https://developer.wordpress.org/themes/advanced-topics/child-themes/','vw-modern-kitchen'));
	define('VW_MODERN_KITCHEN_CONTACT',__('https://www.vwthemes.com/contact/','vw-modern-kitchen'));
	define('VW_MODERN_KITCHEN_CREDIT',__('https://www.vwthemes.com/products/vw-modern-kitchen','vw-modern-kitchen'));
	define('VW_MODERN_KITCHEN_THEME_BUNDLE_BUY_NOW',__('https://www.vwthemes.com/products/wp-theme-bundle','vw-modern-kitchen'));
	define('VW_MODERN_KITCHEN_THEME_BUNDLE_DOC',__('https://preview.vwthemesdemo.com/docs/theme-bundle/','vw-modern-kitchen'));

	if ( ! function_exists( 'vw_modern_kitchen_credit' ) ) {
		function vw_modern_kitchen_credit(){
			echo "<a href=".esc_url(VW_MODERN_KITCHEN_CREDIT)." target='_blank'>".esc_html__('VW Modern Kitchen Theme','vw-modern-kitchen')."</a>";
		}
	}

	/* Plugin Activation */
	require get_template_directory() . '/inc/getstart/plugin-activation.php';

	/* Implement the About theme page */
	require get_template_directory() . '/inc/getstart/getstart.php';

	/* Custom template tags for this theme. */
	require get_template_directory() . '/inc/template-tags.php';

	/* Customizer additions. */
	require get_template_directory() . '/inc/customizer.php';

	/* Typography */
	require get_template_directory() . '/inc/typography/ctypo.php';

	/* Webfonts */
	require get_template_directory() . '/inc/wptt-webfont-loader.php';

	/* Social Icons */
	require get_template_directory() . '/inc/themes-widgets/social-icon.php';

	/* Customizer additions. */
	require get_template_directory() . '/inc/themes-widgets/about-us-widget.php';

	/* Customizer additions. */
	require get_template_directory() . '/inc/themes-widgets/contact-us-widget.php';

	/* Implement the Custom Header feature. */
	require get_template_directory() . '/inc/custom-header.php';

	/* TGM Plugin Activation */
	require get_template_directory() . '/inc/tgm/tgm.php';
}
add_action( 'after_setup_theme', 'vw_modern_kitchen_theme_init' );

// Admin notice code START
add_action('wp_ajax_vw_modern_kitchen_dismiss_notice', 'vw_modern_kitchen_dismiss_notice');
function vw_modern_kitchen_dismiss_notice() {
    update_option('vw_modern_kitchen_admin_notice', 1);
    wp_die();
}

//After Switch theme function
add_action('after_switch_theme', 'vw_modern_kitchen_getstart_setup_options');
function vw_modern_kitchen_getstart_setup_options () {
    delete_option('vw_modern_kitchen_admin_notice');
}
// Admin notice code END